> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/resource.md).

# resource

Detailed information about a resource that can be monitored.

### Examples

```graphql
type Resource {
  id: String
  name: String
  resourceOrgName: String
  isMonitored: Boolean
  resourceType: ResourceType
  children: [Resource]
  iconName: ResourceIcon
  settingsAvailable: Boolean
  credentialsId: String
}
```

### Fields

| Field                                                                                                                                | Description                                                                                         | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String`                                                                                                                          | Unique identifier of the resource                                                                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| name `String`                                                                                                                        | Display name of the resource                                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| resourceOrgName `String`                                                                                                             | Organization name where the resource belongs                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| isMonitored `Boolean`                                                                                                                | Indicates if this resource is currently being monitored                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| resourceType [`ResourceType`](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/enums/resource-type.md) | Classification of the resource (node, edge)                                                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| children [`[Resource]`](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/resource.md)          | Nested resources associated with this resource                                                      | <p>id <code>String</code><br>name <code>String</code><br>resourceOrgName <code>String</code><br>isMonitored <code>Boolean</code><br>resourceType <a href="https://docs.ox.security/api-documentation/api-reference/api--connectors/types/enums/resource-type.md"><code>ResourceType</code></a><br>children <a href="https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/resource.md"><code>\[Resource]</code></a><br>iconName <a href="https://docs.ox.security/api-documentation/api-reference/api--connectors/types/enums/resource-icon.md"><code>ResourceIcon</code></a><br>settingsAvailable <code>Boolean</code><br>credentialsId <code>String</code></p> |
| iconName [`ResourceIcon`](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/enums/resource-icon.md)     | Icon identifier for visual representation                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| settingsAvailable `Boolean`                                                                                                          | Indicates if resource-specific settings can be configured                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| credentialsId `String`                                                                                                               | Corresponding credentials ID. Only relevant when saving resources from several credentials together |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

### References

#### Fields with this object:

* [{} ConnectorResourceResponse.resources](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/connector-resource-response.md)
* [{} Resource.children](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/resource.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/resource.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
